Subject: [tsv-area] Fwd: [Tsvwg] request for comments : Pre-Congestion Notification BOF

From: Lars Eggert <[email-masked]>
Date: Fri, 15 Sep 2006 09:19:25 +0200

Begin forwarded message:

> From: "Anna Charny (acharny)" <[email-masked]>
> Date: September 14, 2006 11:08:17 PM GMT+02:00
> To: <[email-masked]>, <[email-masked]>, <[email-masked]>,  
> <[email-masked]>, <[email-masked]>, <[email-masked]>,  
> <[email-masked]>, <[email-masked]>
> Cc: [email-masked]
> Subject: [Tsvwg] request for comments : Pre-Congestion Notification  
> BOF
>
> Dear all,
>
> We have submitted a request for Pre-Congestion Notification BOF at the
> San Diego meeting.  The proposed BOF description, agenda, draft  
> charter
> and the problem statement draft are in the attached message below.
>
> We welcome your feedback on any of these documents.  Please send your
> comments to [email-masked].
>
> Best Regards,
> Anna Charny
>
> ________________________________
>
> From: Anna Charny (acharny)
> Sent: Thursday, September 14, 2006 4:51 PM
> To: 'Magnus Westerlund'; 'Lars Eggert'
> Cc: [email-masked]'; [email-masked]
> Subject: Request for Pre-Congestion Notification BOF
>
>
> Hello Lars and Magnus,
>
> This message constitutes a formal request for Pre-Congestion
> Notification BOF at the November IETF meeting in San Diego.
>
> The BOF description and its proposed agenda are attached at the end of
> this message.
>
> If this BOF is approved,  we would like to request a two-hour slot  
> that
> avoids scheduling conflicts with the following working groups:  tsv,
> nsis, sip, ieprep, ecrit, pwe3, dccp.
>
> We also ask that you CC [email-masked] with your decision.
>
> Of course we welcome any feedback you might have.
>
> Best Regards,
> Anna Charny
>
> PCN BOF Description
>
> The Pre-Congestion Notification (PCN)  BOF will address the problem of
> how to provide scalable and resilient admission control and strong QoS
> assurance while using packet marking techniques. Current attempts to
> deliver QoS using only packet marking (e.g. DiffServ) are limited  
> in the
> level of QoS assurance that can be provided without substantial
> over-provisioning. To improve the QoS assurance, PCN will add flow
> admission control and flow pre-emption. In normal circumstances
> admission control should protect the QoS of previously admitted flows.
> In times of heavy congestion (for example caused by route changes  
> due to
> link or router failure) pre-emption of some flows should preserve the
> QoS of remaining flows.
>
> The overall approach will be based on a the concept of a PCN-Region,
> within which the functionality is separated between the PCN-Interior
> Node (PIN) and the PCN-End Node (PEN). The initial scope of the BOF  
> will
> be the case of a single DiffServ region, which maps to a PCN-Region.
> PINs mark packet headers when their traffic is above a certain  
> level, as
> an early warning of incipient congestion ("pre-congestion"); this  
> builds
> on concepts from RFC 3168 "The Addition of Explicit Congestion
> Notification to IP".  PENs monitor the markings and that  
> information is
> used to make flow admission control and pre-emption decisions. The
> decisions could be made by the PENs or by a centralized system  
> (which is
> informed of the PCN information).
>
> The BOF will address the need and the motivation for PCN work in the
> context of IETF, provide a brief overview of prior PCN efforts and
> related work,  and review open issues.  The BOF will also discuss the
> scope of work and solicit feedback on the proposed charter.   
> Ultimately,
> the goal of the BOF is to solicit community feedback on whether the
> problem is clear and needs to be addressed, and consequently  
> whether the
> creation of a new PCN WG within the scope of the proposed charter is
> warranted.
>
> The draft charter is available from
> http://standards.nortel.com/pcn/PCN_draft_charter_v00.txt
> <http://standards.nortel.com/pcn/PCN_draft_charter_v00.txt> .  The
> problem statement and motivation for the PCN work is discussed in more
> detail in draft-chan-pcn-problem-statement-00, which has been  
> submitted
> to IETF and is also available at
> http://standards.nortel.com/pcn/draft-chan-pcn-problem- 
> statement-00.txt
> <http://standards.nortel.com/pcn/draft-chan-pcn-problem- 
> statement-00.txt
>> .
>
> Proposed BOF agenda
>
> 1.  Agenda bashing  (5 min)
> 2.  Motivation and Problem Statement presentation  (15 min)
> 3.  Discussion of motivation and problem statement (30 min)
> 4.  Overview of prior PCN efforts, related work and open issues (15  
> min)
> 5.  Overview of the proposed charter (10 min)
> 6.  Discussion/bashing of the proposed charter (20 min)
> 7.  General discussion and poll on the WG creation (25 min)
>

Lars
-- 
Lars Eggert                                     NEC Network Laboratories

---

From: Magnus Westerlund <[email-masked]>
Date: Mon, 25 Sep 2006 15:45:24 +0200

Hi,

This BOF has been approved. If you are interested in the topic please 
join the mailing list (https://www1.ietf.org/mailman/listinfo/pcn).

Regards

Magnus Westerlund
TSV AD

Lars Eggert skrev:
>> Subject: [Tsvwg] request for comments : Pre-Congestion Notification BOF
>>
>> Dear all,
>>
>> San Diego meeting.  The proposed BOF description, agenda, draft charter
>> If this BOF is approved,  we would like to request a two-hour slot that
>> deliver QoS using only packet marking (e.g. DiffServ) are limited in the
>> In times of heavy congestion (for example caused by route changes due to
>> Node (PIN) and the PCN-End Node (PEN). The initial scope of the BOF will
>> PINs mark packet headers when their traffic is above a certain level, as
>> an early warning of incipient congestion ("pre-congestion"); this builds
>> Notification to IP".  PENs monitor the markings and that information is
>> decisions could be made by the PENs or by a centralized system (which is
>> scope of work and solicit feedback on the proposed charter.  Ultimately,
>> problem is clear and needs to be addressed, and consequently whether the
>> detail in draft-chan-pcn-problem-statement-00, which has been submitted
>> http://standards.nortel.com/pcn/draft-chan-pcn-problem-statement-00.txt
>> <http://standards.nortel.com/pcn/draft-chan-pcn-problem-statement-00.txt
>>> .
>>
>> Proposed BOF agenda
>>
>> 4.  Overview of prior PCN efforts, related work and open issues (15 min)
> --Lars Eggert                                     NEC Network Laboratories
> 
> 

-- 

Magnus Westerlund

Multimedia Technologies, Ericsson Research EAB/TVA/A
----------------------------------------------------------------------
Ericsson AB                | Phone +46 8 4048287
Torshamsgatan 23           | Fax   +46 8 7575550
S-164 80 Stockholm, Sweden | mailto: [email-masked]